| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPluginIterator Struct Reference
[Shared Class Facility (SCF)]

An iterator to iterate over all plugins in the plugin manager. More...

`#include <iutil/plugin.h>`

Inheritance diagram for iPluginIterator:

[legend]
List of all members.

## Public Member Functions
virtual bool | HasNext ()=0
| Are there more elements?
virtual iBase * | Next ()=0
| Get next element.

## Detailed Description

An iterator to iterate over all plugins in the plugin manager.

Definition at line 42 of file plugin.h.

## Member Function Documentation

virtual bool iPluginIterator::HasNext | ( |  | ) | `[pure virtual]`

Are there more elements?

virtual iBase* iPluginIterator::Next | ( |  | ) | `[pure virtual]`

Get next element.

The documentation for this struct was generated from the following file:

- iutil/plugin.h